.custom-control {
    &.lg {
        min-height: $font-size-base * $line-height-base + $custom-control-indicator-size-lg * 0.125;
        padding-left: $custom-control-gutter + $custom-control-indicator-size-lg;
        .custom-control-label {
            // Temporary padding-top
            padding-top: 2px;
            &::before {
                left: -($custom-control-gutter + $custom-control-indicator-size-lg);
                width: $custom-control-indicator-size-lg;
                height: $custom-control-indicator-size-lg;
            }
            &::after {
                left: -($custom-control-gutter + ($custom-control-indicator-size-lg));
                width: $custom-control-indicator-size-lg;
                height: $custom-control-indicator-size-lg;
            }
        }
    }
    &.custom-radio.square {
        .custom-control-label::before {
            border-radius: 0;
        }
    }
    &.dark {
        .custom-control-label {
            color: $dark;
        }
    }
}
.custom-control-input {
    &:checked {
        ~ .custom-control-label::before {
            background-color: $primary-dark;
            border-color: $primary-dark;
        }
    }
}

.custom-radio {
    .custom-control-input {
        &:checked {
            ~ .custom-control-label {
                &::before {
                    background-color: $white;
                    border-color: $secondary;
                    border-width: 2px;
                }
                &::after {
                    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23122c40'/%3e%3c/svg%3e");
                    height: 1.5rem;
                    width: 1.5rem;
                    left: -28px;
                    top: 0px;
                }
            }
        }
        
    }
    
    &.lg {
        .custom-control-input {
            &:checked {
                ~ .custom-control-label {
                    &::after {
                        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23122c40'/%3e%3c/svg%3e");
                        height: 2rem;
                        width: 2rem;
                        left: -34px;
                        top: -2px;
                    }
                }
            }
        }     
    }
}

.custom-control-input[disabled] ~ .custom-control-label {
    cursor: not-allowed !important;
}
.custom-control-input {
    &:not(:disabled) {
        + label {
            cursor: pointer;
        }
    }
}
.css-xjimrv-Switch {
    vertical-align: -9px !important;
}
.css-jfsaru-Switch {
    background-color: $component-active-bg !important;
}